
class GrupaSzkoleniowa:
    def __init__(self, nazwa_szkolenia):
        self.nazwa_szkolenia = nazwa_szkolenia
        self.osoby = set()

    def dodaj_osobe(self, osoba):
        self.osoby.add(osoba)

    def __str__(self):
        return f'Na szkoleniu {self.nazwa_szkolenia} są osoby {", ".join(self.osoby)}'

    def __add__(self, other):
        wynik = GrupaSzkoleniowa(self.nazwa_szkolenia + ' i ' + other.nazwa_szkolenia)
        wynik.osoby = self.osoby | other.osoby
        return wynik


grupa1 = GrupaSzkoleniowa('Python')
grupa1.dodaj_osobe('Kasia')
grupa1.dodaj_osobe('Tomek')

grupa2 = GrupaSzkoleniowa('Java')
grupa2.dodaj_osobe('Kasia')
grupa2.dodaj_osobe('Jurek')

print(grupa1)
print(grupa2)
print(grupa1 + grupa2)
